Package org.springframework.http.server.reactive.observation

# Enum Class ServerHttpObservationDocumentation.LowCardinalityKeyNames

java.lang.Object
java.lang.Enum<ServerHttpObservationDocumentation.LowCardinalityKeyNames>
org.springframework.http.server.reactive.observation.ServerHttpObservationDocumentation.LowCardinalityKeyNames

All Implemented Interfaces:
  `io.micrometer.common.docs.KeyName`, `Serializable`, `Comparable<ServerHttpObservationDocumentation.LowCardinalityKeyNames>`, `Constable`

Enclosing class:
  ServerHttpObservationDocumentation

public static enum ServerHttpObservationDocumentation.LowCardinalityKeyNames extends Enum<ServerHttpObservationDocumentation.LowCardinalityKeyNames> implements io.micrometer.common.docs.KeyName

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCEPTION`
Name of the exception thrown during the exchange, or "none" if no exception was thrown.
`METHOD`
Name of the HTTP request method or "none" if the request was not received properly.
`OUTCOME`
Outcome of the HTTP server exchange.
`STATUS`
HTTP response raw status code, or `"UNKNOWN"` if no response was created.
`URI`
URI pattern for the matching handler if available, falling back to `REDIRECTION` for 3xx responses, `NOT_FOUND` for 404 responses, `root` for requests with no path info, and `UNKNOWN` for all other requests.

## Method Summary

Modifier and Type
Method
Description
`static ServerHttpObservationDocumentation.LowCardinalityKeyNames`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerHttpObservationDocumentation.LowCardinalityKeyNames[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface io.micrometer.common.docs.KeyName

`asString, isRequired, withValue, withValue`

## Enum Constant Details

### METHOD

public static final ServerHttpObservationDocumentation.LowCardinalityKeyNames METHOD
Name of the HTTP request method or "none" if the request was not received properly.

### STATUS

public static final ServerHttpObservationDocumentation.LowCardinalityKeyNames STATUS
HTTP response raw status code, or `"UNKNOWN"` if no response was created.

### URI

public static final ServerHttpObservationDocumentation.LowCardinalityKeyNames URI
URI pattern for the matching handler if available, falling back to `REDIRECTION` for 3xx responses, `NOT_FOUND` for 404 responses, `root` for requests with no path info, and `UNKNOWN` for all other requests.

### EXCEPTION

public static final ServerHttpObservationDocumentation.LowCardinalityKeyNames EXCEPTION
Name of the exception thrown during the exchange, or "none" if no exception was thrown.

### OUTCOME

public static final ServerHttpObservationDocumentation.LowCardinalityKeyNames OUTCOME
Outcome of the HTTP server exchange.

See Also:
  - `HttpStatus.Series`

## Method Details

### values

public static ServerHttpObservationDocumentation.LowCardinalityKeyNames[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ServerHttpObservationDocumentation.LowCardinalityKeyNames valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null